Bug 14795 - Define the resolution of @keyframes selectors outside [0%-100%]
Define the resolution of @keyframes selectors outside [0%-100%]
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Animations
unspecified
PC All
: P2 normal
: ---
Assigned To: Dean Jackson
This bug has no owner yet - up for the taking
[medium]
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 20:29 UTC by Sylvain Galineau
Modified: 2012-08-08 00:38 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Simon Fraser 2012-01-30 15:40:29 UTC
WebKit ignores keyframes > 100%, but negative keyframe values cause the animation to be ignored.
Comment 2 Sylvain Galineau 2012-08-03 22:09:14 UTC
Simon, are you sure about that? I see WebKit (latest Chrome) ignore the entire animation rule if one of the keyframe selectors is <0% or >100%. Firefox and IE only ignore these keyframe selectors and otherwise run the animation as if they weren't there.
Comment 3 Sylvain Galineau 2012-08-08 00:10:51 UTC
Fixed, following http://lists.w3.org/Archives/Public/www-style/2012Aug/0125.html
Comment 4 Simon Fraser 2012-08-08 00:38:51 UTC
Bug for webkit: https://bugs.webkit.org/show_bug.cgi?id=93414